Package ru.bitel.bgbilling.modules.mps.server.bean

# Class BGMacrosFormat

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.util.MacrosFormat
ru.bitel.bgbilling.modules.mps.server.bean.BGMacrosFormat

public class BGMacrosFormat extends ru.bitel.common.util.MacrosFormat

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGMacrosFormat(Connection con, int contractId)`
  `BGMacrosFormat(Connection con, Contract contract)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BalanceUtils`
  `getBalanceUtils()`
  `Contract`
  `getContract(int contractId)`
  `ContractManager`
  `getContractManager()`
  `List<ContractParameterGroupAttr>`
  `getContractParameterPref()`
  `protected Object`
  `invoke(String macros, Object[] args)`
  `Optional<Contract>`
  `optContract(int contractId)`

  ### Methods inherited from class ru.bitel.common.util.MacrosFormat

  `format, format, format, format, getDouble, getInt, getString, invoke, main, setPattern`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGMacrosFormat

    public BGMacrosFormat(Connection con, int contractId)

  - ### BGMacrosFormat

    public BGMacrosFormat(Connection con, Contract contract)

- ## Method Details

  - ### getContractParameterPref

    public List<ContractParameterGroupAttr> getContractParameterPref()

  - ### getBalanceUtils

    public BalanceUtils getBalanceUtils()

  - ### getContractManager

    public ContractManager getContractManager()

  - ### getContract

    public Contract getContract(int contractId)

  - ### optContract

    public Optional<Contract> optContract(int contractId)

  - ### invoke

    protected Object invoke(String macros, Object[] args)
    Overrides:
      `invoke` in class `ru.bitel.common.util.MacrosFormat`